OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDF

# MDF_DriverListOfARDriverTable Class Reference

`#include <MDF_DriverListOfARDriverTable.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDF_DriverListOfARDriverTable ()
Standard_EXPORT void | Assign (const MDF_DriverListOfARDriverTable &Other)
void | operator= (const MDF_DriverListOfARDriverTable &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~MDF_DriverListOfARDriverTable ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(MDF_ARDriver)&I)
Standard_EXPORT void | Prepend (const Handle(MDF_ARDriver)&I, MDF_ListIteratorOfDriverListOfARDriverTable &theIt)
Standard_EXPORT void | Prepend (MDF_DriverListOfARDriverTable &Other)
Standard_EXPORT void | Append (const Handle(MDF_ARDriver)&I)
Standard_EXPORT void | Append (const Handle(MDF_ARDriver)&I, MDF_ListIteratorOfDriverListOfARDriverTable &theIt)
Standard_EXPORT void | Append (MDF_DriverListOfARDriverTable &Other)
Standard_EXPORT Handle_MDF_ARDriver & | First () const
Standard_EXPORT Handle_MDF_ARDriver & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (MDF_ListIteratorOfDriverListOfARDriverTable &It)
Standard_EXPORT void | InsertBefore (const Handle(MDF_ARDriver)&I, MDF_ListIteratorOfDriverListOfARDriverTable &It)
Standard_EXPORT void | InsertBefore (MDF_DriverListOfARDriverTable &Other, MDF_ListIteratorOfDriverListOfARDriverTable &It)
Standard_EXPORT void | InsertAfter (const Handle(MDF_ARDriver)&I, MDF_ListIteratorOfDriverListOfARDriverTable &It)
Standard_EXPORT void | InsertAfter (MDF_DriverListOfARDriverTable &Other, MDF_ListIteratorOfDriverListOfARDriverTable &It)
## Private Member Functions
Standard_EXPORT | MDF_DriverListOfARDriverTable (const MDF_DriverListOfARDriverTable &Other)
## Private Attributes
Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT MDF_DriverListOfARDriverTable::MDF_DriverListOfARDriverTable | ( |  | ) |

MDF_DriverListOfARDriverTable::~MDF_DriverListOfARDriverTable | ( |  | ) | `[inline]`

Standard_EXPORT MDF_DriverListOfARDriverTable::MDF_DriverListOfARDriverTable | ( | const MDF_DriverListOfARDriverTable & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void MDF_DriverListOfARDriverTable::Append | ( | MDF_DriverListOfARDriverTable & | Other | ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::Append | ( | const Handle(MDF_ARDriver)& | I,
|  | MDF_ListIteratorOfDriverListOfARDriverTable & | theIt
| ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::Append | ( | const Handle(MDF_ARDriver)& | I | ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::Assign | ( | const MDF_DriverListOfARDriverTable & | Other | ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer MDF_DriverListOfARDriverTable::Extent | ( |  | ) | const

Standard_EXPORT Handle_MDF_ARDriver& MDF_DriverListOfARDriverTable::First | ( |  | ) | const

Standard_EXPORT void MDF_DriverListOfARDriverTable::InsertAfter | ( | MDF_DriverListOfARDriverTable & | Other,
|  | MDF_ListIteratorOfDriverListOfARDriverTable & | It
| ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::InsertAfter | ( | const Handle(MDF_ARDriver)& | I,
|  | MDF_ListIteratorOfDriverListOfARDriverTable & | It
| ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::InsertBefore | ( | MDF_DriverListOfARDriverTable & | Other,
|  | MDF_ListIteratorOfDriverListOfARDriverTable & | It
| ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::InsertBefore | ( | const Handle(MDF_ARDriver)& | I,
|  | MDF_ListIteratorOfDriverListOfARDriverTable & | It
| ) |

Standard_Boolean MDF_DriverListOfARDriverTable::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_MDF_ARDriver& MDF_DriverListOfARDriverTable::Last | ( |  | ) | const

void MDF_DriverListOfARDriverTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDF_DriverListOfARDriverTable::operator new | ( | size_t | size | ) | `[inline]`

void* MDF_DriverListOfARDriverTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void MDF_DriverListOfARDriverTable::operator= | ( | const MDF_DriverListOfARDriverTable & | Other | ) | `[inline]`

Standard_EXPORT void MDF_DriverListOfARDriverTable::Prepend | ( | MDF_DriverListOfARDriverTable & | Other | ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::Prepend | ( | const Handle(MDF_ARDriver)& | I,
|  | MDF_ListIteratorOfDriverListOfARDriverTable & | theIt
| ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::Prepend | ( | const Handle(MDF_ARDriver)& | I | ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::Remove | ( | MDF_ListIteratorOfDriverListOfARDriverTable & | It | ) |

Standard_EXPORT void MDF_DriverListOfARDriverTable::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address MDF_DriverListOfARDriverTable::myFirst`[private]`

Standard_Address MDF_DriverListOfARDriverTable::myLast`[private]`

The documentation for this class was generated from the following file:

- MDF_DriverListOfARDriverTable.hxx